Comments
curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook/post/comments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/facebook/post/comments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/facebook/post/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"comments": {
"0": {
"id": "Y29tbWVudDoxMjA2OTAzNjAxNDgzOTYwXzc3OTIzNDI4MTE0NjkzNQ==",
"text": "Do 1/2 mini Oreos and 1/2 peanut butter ritz Bitz, otherwise the same recipe. It’s the BEST",
"created_at": "2025-09-01T01:10:40.000Z",
"reply_count": 1,
"reaction_count": 92,
"author": {
"id": "pfbid02SonLdTu7H5mUHKtARRnREivvzexdj78HmCm9B1rEiQGpNBrrbb3NKjjnRUESnLvel",
"name": "Robin Bergsagel",
"gender": "FEMALE",
"short_name": "Robin"
}
}
},
"cursor": "MToxNzcwNTkzNzE1OgF_K4Sx7cKsXqb4BHzk7jhN6gAJsLsQkXu5T83P2cTxGX4yfM2DUQKKNrFjds2fqzu6W_G_wGaAe047P_t4ypb5SH2NvHV6BzMHc64SZFBC_e4YmVGRfz1D1uuomLtCrumGeE2degZBaA_zTjGEbEHTR-BuxY2ZUf13WisjwJNm58HBHBpyh2u1i81d0J8C_XdPXyaP20AteBFarB9FJGJhJ0A",
"has_next_page": true
},
"credits_used": 1,
"endpoint": "facebook/post/comments"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Facebook
Comments
Get the comments of a Facebook post (or reel)
GET
/
v1
/
scrape
/
facebook
/
post
/
comments
Comments
💳 1 credit per request
Authorizations
Query Parameters
Facebook post URL (or reel URL)
Example:
"https://www.facebook.com/reel/753347914167361"
Cursor to get more comments. Get 'cursor' from previous response.
Example:
"MToxNzU3MTA2NzYyOgF1P1VkxpkA9Ds4..."
Response
Successful response
Key Response Fields:
data.comments[0].id: Unique comment IDdata.comments[0].text: Comment text contentdata.comments[0].created_at: ISO timestamp of when the comment was posteddata.comments[0].reply_count: Number of replies to this commentdata.comments[0].reaction_count: Number of reactions (likes) on the commentdata.comments[0].author.name: Commenter's namedata.comments[0].author.id: Commenter's Facebook user IDdata.cursor: Pagination cursor — pass ascursorto get the next page of commentsdata.has_next_page: Whether more comments are available to paginate